/**
 * @file c2nload.h
 * Interface definitions related to the Commodore C2N storage format
 * @author Marko Mkel <msmakela@nic.funet.fi>
 */

/* Copyright  2001,2002 Marko Mkel.

   This file is part of C2NLOAD, a program for loading files to
   Commodore 8-bit computers via the C2N232 device.

   C2NLOAD is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   C2NLOAD is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   The GNU General Public License is often shipped with GNU software, and
   is generally kept in a file called COPYING or LICENSE.  If you do not
   have a copy of the license, write to the Free Software Foundation,
   59 Temple Place, Suite 330, Boston, MA 02111 USA. */

/** Pulse widths */
enum pulse
{
  Short = 'B',	/**< short pulse */
  Medium,	/**< medium pulse */
  Long		/**< long pulse */
};

/** Pulse stream writer
 * @param p	the pulse to be written
 */
void
pulsewrite (enum pulse p);
