;;; @file c264/host.s
;;; Commodore 264 series definitions
;;; @author Marko Mkel (msmakela@nic.funet.fi)

bend	= $2d	; end of basic program text
ibsout	= $324	; KERNAL CHROUT routine
;; restore (among others) the IBSOUT vector and let carry be clear
#define restor jsr $ff8a

casbuf	= $332	; the start address of the cassette buffer
cashdr	= 3	; cassette buffer header
stemp	= $a7	; placeholder for the byte being received

;; keyboard buffer
keylen	= $ef		; length in bytes
keybuf	= $527		; data

;;; Commodore cassette port definitions
c2nread = 1
c2nrdval = 16
c2nwrite = 1
c2nwrval = 2

;; wait for high-to-low transition on CASS READ
#define c2nrdlo lda #c2nrdval:.(:wait bit c2nread:bne wait:.)
;; wait for low-to-high transition on CASS READ
#define c2nrdhi lda #c2nrdval:.(:wait bit c2nread:beq wait:.)
;; clear the status of the CASS READ line
#define c2nclrd
;; lower or raise the cassette write line
#define c2nwr0 ora #c2nwrval
#define c2nwr1 and #255-c2nwrval
;; invert the read byte if needed
#define invert

;; file name length (overriding the default of 16 characters)
#define fnlen 17
