;;; @file pet8032.s
;;; Commodore PET 8032 definitions
;;; @author Marko Mkel (msmakela@nic.funet.fi)

bend	= $c9	; end of basic program text
ibsout	= $eb	; KERNAL CHROUT routine for printing to screen
;; restore the IBSOUT vector and let the carry be clear
#define restor lda #$0c:sta ibsout:lda #$e2:sta ibsout+1:clc

cashdr	= 1	; cassette buffer header
stemp	= $bd	; placeholder for the byte being received

;; keyboard buffer
keylen	= $9e		; length in bytes
keybuf	= $26f		; data

;;; Commodore cassette port definitions
c2nwrite = $e840		; VIA output register B
c2nwrval = 8			; PB3 (cassette write)

;; wait for low-to-high transition on CASS READ
#define c2nrdhi
;; lower or raise the cassette write line
#define c2nwr0 and #255-c2nwrval
#define c2nwr1 ora #c2nwrval
;; invert the read byte if needed
#define invert eor #$ff
