#!/bin/sh

set -eu

exec > code.h

cat << EOF
/**
 * @file code.h
 * Automatically generated by "$0", do not edit!
 * @author Marko Mkel <msmakela@nic.funet.fi>
 */

/*
 * Copyright  2002 Marko Mkel
 * 
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

EOF

echo "/** code for the PET series */"
echo "static const unsigned char pet[] = {"
xa cbmsrc/petload.s -o- | \
	od -w12 -vt x1 | sed -ne 's/ \(..\)/ 0x\1,/g;s/^[0-9]* /  /p'
echo "};"

for i in pet80p1 pet80p2 vic20 c64 c128 c264
do
	echo "/** code for the $i */"
	echo "static const unsigned char $i[194] = {"
	xa cbmsrc/c2nload.s -Icbmsrc/$i -Icbmsrc -o- | \
	od -w12 -vt x1 | sed -ne 's/ \(..\)/ 0x\1,/g;s/^[0-9]* /  /p'
	echo "};"
done
