/**
 * @file models.c
 * Supported models of 8-bit Commodore computers
 * @author Marko Mkel <msmakela@nic.funet.fi>
 */

/* Copyright  2002 Marko Mkel.

   This file is part of C2NLOAD, a program for loading files to
   Commodore 8-bit computers via the C2N232 device.

   C2NLOAD is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   C2NLOAD is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   The GNU General Public License is often shipped with GNU software, and
   is generally kept in a file called COPYING or LICENSE.  If you do not
   have a copy of the license, write to the Free Software Foundation,
   59 Temple Place, Suite 330, Boston, MA 02111 USA. */

#include "models.h"
#include "code.h"

/** Null-terminated list of supported models */
const struct model models[] = {
  { "pet", aBASIC, pet },
  { "8032-1", aNORMAL, pet80p1 },
  { "8032-2", aNORMAL, pet80p2 },
  { "20", aNORMAL, vic20 },
  { "vic20", aNORMAL, vic20 },
  { "vc20", aNORMAL, vic20 },
  { "1001", aNORMAL, vic20 },
  { "vic1001", aNORMAL, vic20 },
  { "64", aBLANK, c64 },
  { "128", aBLANK, c128 },
  { "264", a264, c264 },
  { "16", a264, c264 },
  { "116", a264, c264 },
  { "v364", a264, c264 },
  { "plus/4", a264, c264 },
  { 0, 0, 0 }
};
